Closed Bug 1548975 Opened 3 years ago Closed 3 years ago

Confusing message "Some add-ons have been disabled"

Categories

(Toolkit :: Add-ons Manager, defect)

67 Branch
defect
Not set
normal

Tracking

()

RESOLVED DUPLICATE of bug 1548973

People

(Reporter: haik, Unassigned)

Details

Attachments

(2 files)

See screenshot. The message states "The following add-ons have not been verified for use in Firefox." But no addons are listed or displayed on the page which is confusing.

Issue 1: It's confusing to have the text state "the following add-ons", but then not list any add-ons.

Clicking on "Show legacy extensions" from the "Missing something?" paragraph does take me to a list of addons that have been deactivated and these are labeled as "Legacy Extensions".

The legacy extensions page shows "Legacy Extensions/These extensions do not meet current Firefox standards so they have been deactivated" with a list of extensions include Firefox multi-account containers.

Issue 2: we are using the term legacy extensions to describe Firefox Multi-Account containers which is inconsistent.

Issue 3: the layout of the Unsupported extensions page has the theme image obscuring the error/warning message. See second screenshot.

Screen shot showing legacy addon page layout issue with Commando Fox theme image obscuring the text.

I encountered that issue after updating to 68.0a1 (2019-05-02) (64-bit) on Windows 10.

And then when trying to re-add an extension from addons.mozilla.org, I got "Download failed. Please check your connection."

See Also: → armagadd-on-2.0
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: armagadd-on-2.0
See Also: armagadd-on-2.0
Component: Extension Compatibility → Add-ons Manager
Product: Firefox → Toolkit
You need to log in before you can comment on or make changes to this bug.